Last modified: 2011-07-06 02:49:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 28902 - date in Upload Wizard form overlaps with the calendar icon in an RTL language
date in Upload Wizard form overlaps with the calendar icon in an RTL language
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Neil Kandalgaonkar
:
Depends on: 6100
Blocks: rtl 27800
  Show dependency treegraph
 
Reported: 2011-05-09 22:22 UTC by Amir E. Aharoni
Modified: 2011-07-06 02:49 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
screenshot showing the bug (33.82 KB, image/png)
2011-05-09 22:22 UTC, Amir E. Aharoni
Details

Description Amir E. Aharoni 2011-05-09 22:22:59 UTC
Created attachment 8525 [details]
screenshot showing the bug

In the fourth step of the upload wizard in Commons the date in the form overlaps with the calendar icon in an RTL language, such as Hebrew. See the attached screenshot.
Comment 1 Robin Pepermans (SPQRobin) 2011-06-26 13:38:05 UTC
This will be automatically fixed by ResourceLoader when $wgBetterDirectionality (bug 6100) is enabled.
Comment 2 Robin Pepermans (SPQRobin) 2011-07-06 02:49:20 UTC
In r91518 I made all input fields follow content direction by default, which broke it again, but I added CSS in r91519 so that it follows user language direction anyway.
So, marking as fixed, since it's fixed in trunk.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links